Skip to main content
List applications for the authenticated customer
curl --request GET \
  --url https://sapi.withsutro.com/applications \
  --header 'Authorization: Bearer <token>' \
  --header 'x-sutro-api-client: <api-key>'
import requests

url = "https://sapi.withsutro.com/applications"

headers = {
    "Authorization": "Bearer <token>",
    "x-sutro-api-client": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'x-sutro-api-client': '<api-key>'}
};

fetch('https://sapi.withsutro.com/applications', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scode": {
      "requirements": [
        {
          "id": "<string>",
          "description": "<string>",
          "parentId": "<string>"
        }
      ],
      "appId": "<string>",
      "version": "<string>",
      "appOverview": {
        "name": "<string>",
        "jobToBeDone": "<string>",
        "unsupportedUserJourneys": [
          {
            "name": "<string>",
            "description": "<string>",
            "reason": "<string>",
            "steps": [
              "<string>"
            ]
          }
        ],
        "draftUserJourneys": [
          {
            "name": "<string>",
            "outcome": "<string>",
            "steps": [
              "<string>"
            ]
          }
        ]
      },
      "appDescription": "<string>",
      "appDraft": {
        "sitemap": {
          "nodes": [
            {
              "id": "<string>",
              "route": "<string>",
              "content": [
                {
                  "title": "<string>",
                  "description": "<string>"
                }
              ]
            }
          ],
          "edges": [
            {
              "from": "<string>",
              "to": "<string>",
              "type": "<string>"
            }
          ]
        },
        "requirements": [
          {
            "id": "<string>",
            "description": "<string>",
            "parentId": "<string>"
          }
        ]
      },
      "domainModel": {
        "models": [
          {
            "name": "<string>",
            "fields": [
              {
                "name": "<string>",
                "type": "<string>"
              }
            ],
            "requirements": [
              {
                "id": "<string>",
                "description": "<string>",
                "parentId": "<string>"
              }
            ],
            "isUserModel": true
          }
        ]
      },
      "actions": [
        {
          "id": "<string>",
          "effects": [
            {
              "actionEffectId": "<string>",
              "effect": "<string>",
              "params": {},
              "bindParams": {},
              "next": "<string>",
              "onError": {
                "nextId": "<string>",
                "continueOriginalFlow": true
              }
            }
          ],
          "startEffectId": "<string>",
          "bindReturnValue": "<string>",
          "onError": {
            "nextId": "<string>",
            "continueOriginalFlow": true
          },
          "referenceRequirements": [
            "<string>"
          ]
        }
      ],
      "triggers": [
        {
          "trigger": {
            "id": "<string>",
            "type": "<unknown>",
            "eventName": "<string>",
            "payload": {}
          },
          "actionId": "<string>",
          "initialState": {},
          "validation": [
            "<string>"
          ],
          "isPublic": true,
          "referenceRequirements": [
            "<string>"
          ]
        }
      ],
      "userModelId": "<string>",
      "models": [
        {
          "id": "<string>",
          "name": "<string>",
          "fields": [
            {
              "id": "<string>",
              "name": "<string>",
              "relationshipOwner": true,
              "min": 123,
              "max": 123,
              "to": "<string>",
              "accessControl": {
                "rules": [
                  {
                    "criteria": "<string>"
                  }
                ]
              },
              "computed": "<string>",
              "defaultValue": "<unknown>",
              "enum": [
                "<string>"
              ]
            }
          ],
          "accessControl": {
            "rules": [
              {
                "criteria": "<string>"
              }
            ]
          },
          "referenceRequirements": [
            "<string>"
          ]
        }
      ],
      "personas": [
        {
          "name": "<string>"
        }
      ]
    },
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": {
      "jobs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "implementationJobId": "<string>",
          "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "metadata": {},
          "errorMessage": "<string>",
          "errorStack": "<string>",
          "startedAt": "<string>",
          "completedAt": "<string>"
        }
      ]
    },
    "isActive": true,
    "name": "<string>",
    "serverVersion": "<string>",
    "lastPublishedAt": "2023-11-07T05:31:56Z",
    "lastUnpublishedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Builder authentication and authorization

x-sutro-api-client
string
header
required

A unique identifier for the API Client making a request

Response

200 - application/json

A list of applications for the authenticated customer

id
string<uuid>
required

Unique identifier for the application

scode
SCode representation of an Application · object
required

The application's SCode definition

projectId
string<uuid>
required

The project this application belongs to

status
object
required
isActive
boolean
required

Whether the application is currently active for billing/runtime purposes

name
string

The name of the application

serverVersion
string

The current saved server version (semver)

lastPublishedAt
string<date-time>

When the application was last published

lastUnpublishedAt
string<date-time>

When the application was last unpublished

createdAt
string<date-time>
updatedAt
string<date-time>